[gmx-users] Heads up on Intel MPI 5.0.1.035 bug in mpigcc causing cmake problems

Åke Sandgren ake.sandgren at hpc2n.umu.se
Tue Feb 17 09:11:46 CET 2015


Hi!

Just in case nobody has noticed this yet.

Intel MPI 5.0.1.035 has a bug in mpigcc (used by mpicc when using GNU 
compiler) that makes cmake incorrect find for instance _aligned_malloc.
Very annoying when it then fails to link in the end...

It doesn't return the correct return value from compiler.

Patch attached for those in need.

Haven't checked if there is an update yet...

-- 
Ake Sandgren, HPC2N, Umea University, S-90187 Umea, Sweden
Internet: ake at hpc2n.umu.se   Phone: +46 90 7866134 Fax: +46 90-580 14
Mobile: +46 70 7716134 WWW: http://www.hpc2n.umu.se
-------------- next part --------------
diff -ru intel64/bin.orig/mpigcc intel64/bin/mpigcc
--- intel64/bin.orig/mpigcc	2014-11-06 13:33:53.000000002 +0100
+++ intel64/bin/mpigcc	2015-02-17 09:04:12.000000002 +0100
@@ -588,12 +588,12 @@
         rc=$?
     else
         $Show $CC $CPPFLAGS $CFLAGS "${allargs[@]}" -I$includedir ${path_list} -L${libdir}${MPILIBDIR} -L${libdir} $rpath_opt $mpilibs $I_MPI_OTHERLIBS $LDFLAGS $LIBS
+        rc=$?
         if [ "x$strip_debug_info" = "xyes" ] ; then
 	    $Show objcopy --only-keep-debug ${executable} ${executable}.dbg
 	    $Show objcopy --strip-debug ${executable}
 	    $Show objcopy --add-gnu-debuglink=${executable}.dbg ${executable}
 	fi
-        rc=$?
     fi
 else
     $Show $CC $CPPFLAGS $CFLAGS "${allargs[@]}" -I$includedir


More information about the gromacs.org_gmx-users mailing list